%% TPK4560 - Project-modellation
 % Author:  Aslak J. Strand
 % Purpose: Initiation file for model simulation
 
 % Future research and simulation tweaks will yield
 % more data in the initiation file. 
 
 % As of now a few values are needed. 
 % This file may also generate crane simulation file if needed.
 
%% Clearing workspace:
clearvars; close all; clc

% Choose whether to read from URDF or not, 
% and if testbuild or port to simulink
generateModel   = false;
    testRun     = false;
    modelImport = true;
    openSim     = true;

%% Basic model values
% Rotasjonsmatrise = Orthonormal matrix
% Se på skipet: miljøkrefter
%     Få med skip -> få med miljøkrefter på skip
%     Få med miljøkrefter på kran/last

configSequence = [0, 0, 0];
poseWeights = [0, 0, 0, 0];


%% Generate model:
if generateModel
    myURDFfile  = 'SINTEFcrane.urdf';
    createRobotModel(testRun,myURDFfile)
end
if modelImport
    open_system('sintefRBT.slx');
    [sintef,importInfo] = importrobot(gcs);
    close_system('sintefRBT.slx');
end

%FExt = externalForce(robot,'robot',[0 0 0.0 0.1 0 0]);
FExt = [0.1, 0.1, 0.1, 0.1, 0.1;
    0.1, 0.1, 0.1, 0.1, 0.1;
    0.1, 0.1, 0.1, 0.1, 0.1;
    0.1, 0.1, 0.1, 0.1, 0.1;
    0.1, 0.1, 0.1, 0.1, 0.1;
    0.1, 0.1, 0.1, 0.1, 0.1];

if openSim
    open_system('SINTEFcrane.slx');
end



%% EOF